import sys
from array import array

def main():
    if len(sys.argv) != 2:
        print "Usage:"
        print "%s file" % sys.argv[0]
        return
    a  = array("L") # unsigned long
    a.fromfile(open(sys.argv[1]), 76800)
    errors = []
    for i in range(76800):
        if i != a[i]:
            errors.append((i, a[i]))
    if errors:
        print errors
        print len(errors)
    else:
        print "No errors"

if __name__ == "__main__":
    main()

